Bug 1027511 - [Client] Project Description should be optional when creating project with client
[Client] Project Description should be optional when creating project with cl...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-Maven (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
: screened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 20:24 EST by Ding-Yi Chen
Modified: 2015-07-28 23:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:25:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ding-Yi Chen 2013-11-06 20:24:40 EST
Description of problem:
In Web UI, project description is optional, however, maven client still require it to be input.

Version-Release number of selected component (if applicable):
zanata-maven-plugin:3.1.2

How reproducible:
Always

Steps to Reproduce:
1. Assume the zanata.ini is configured correctly.
2. mvn -e zanata:put-project -Dzanata.url=<ZANATA_SERVER_URL>


Actual results:
[ERROR] Failed to execute goal org.zanata:zanata-maven-plugin:3.1.2:put-project (default-cli) on project standalone-pom: The parameters 'projectDesc', 'defaultProjectType', 'projectSlug', 'projectName' for goal org.zanata:zanata-maven-plugin:3.1.2:put-project are missing or invalid -> [Help 1]

Expected results:
projectDesc should not exist in the above list.


Additional info:
Comment 1 Ding-Yi Chen 2015-03-22 21:51:27 EDT
This bug can be reproduced with zanata-maven-plugin-3.4.2.
Comment 2 Zanata Migrator 2015-07-28 23:25:15 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-252

Note You need to log in before you can comment on or make changes to this bug.